@base <https://purl.org/coscine/ap/ISEA/Doppelpulstest/>.

@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#>.
@prefix xsd: <http://www.w3.org/2001/XMLSchema#>.
@prefix dbo: <http://dbpedia.org/ontology/>.
@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix qb: <http://purl.org/linked-data/cube#>.
@prefix sh: <http://www.w3.org/ns/shacl#>.
@prefix vocabterms: <https://purl.org/coscine/terms/>.
@prefix aps: <https://purl.org/coscine/ap/>.

<https://purl.org/coscine/ap/ISEA/Doppelpulstest/> dcterms:created "2023-04-17"^^xsd:date;
                                                                    dcterms:creator "Severin Klever";
                                                                    dcterms:description "Über dieses Applikationsprofil werden Messdaten erfasst, welche Doppelpulstests von Leistungshalbleitern beinhalten."@de,
                                                                                        "This application profile is used to collect measurement data which includes double pulse tests of power semiconductor devices."@en;
                                                                    dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
                                                                    dcterms:subject "Elektrotechnik"@de,
                                                                                    "Electrical Engineering"@en;
                                                                    dcterms:title "ISEA Doppelpulstest"@de,
                                                                                  "ISEA Double Pulse Test"@en;
                                                                    a rdfs:Class,
                                                                      sh:NodeShape;
                                                                    sh:closed false;
                                                                    sh:property [sh:path <http://www.w3id.org/ecsel-dr-AH#device_name> ; 
                                                                                 sh:name "Device Under Test (Name)"@de ; 
                                                                                 sh:name "Device Under Test (Name)"@en ; 
                                                                                 sh:order 1  ; 
                                                                                 sh:minCount 1  ; 
                                                                                 sh:datatype xsd:string],
                                                                                [sh:path <http://schema.mobivoc.org/#voltageInV> ; 
                                                                                 sh:name "Tested Voltage (V)"@de ; 
                                                                                 sh:name "Tested Voltage (V)"@en ; 
                                                                                 sh:order 3  ; 
                                                                                 sh:minCount 1  ; 
                                                                                 sh:datatype xsd:decimal ; 
                                                                                 sh:minExclusive 0 ],
                                                                                [sh:path <http://schema.mobivoc.org/#currentInA> ; 
                                                                                 sh:name "Tested Current (A)"@de ; 
                                                                                 sh:name "Tested Current (A)"@en ; 
                                                                                 sh:order 4  ; 
                                                                                 sh:minCount 1  ; 
                                                                                 sh:datatype xsd:decimal ; 
                                                                                 sh:minExclusive 0 ],
                                                                                [sh:path <http://www.w3id.org/ecsel-dr-OOSMP#temperature> ; 
                                                                                 sh:name "Tested Temperature (°C)"@de ; 
                                                                                 sh:name "Tested Temperature (°C)"@en ; 
                                                                                 sh:order 4  ; 
                                                                                 sh:minCount 1  ; 
                                                                                 sh:datatype xsd:decimal ; 
                                                                                 sh:minExclusive "-273.15"^^xsd:integer],
                                                                                [sh:path dbo:date ; 
                                                                                 sh:name "Date"@de ; 
                                                                                 sh:name "Date"@en ; 
                                                                                 sh:order 0  ; 
                                                                                 sh:minCount 1  ; 
                                                                                 sh:datatype xsd:dateTime],
                                                                                [sh:path dbo:manufacturer ; 
                                                                                 sh:name "Manufacturer"@de ; 
                                                                                 sh:name "Manufacturer"@en ; 
                                                                                 sh:order 2  ; 
                                                                                 sh:minCount 1  ; 
                                                                                 sh:datatype xsd:string ; 
                                                                                 sh:maxCount 1 ],
                                                                                [sh:path <https://w3id.org/kdsf-ffk/092> ; 
                                                                                 sh:name "Semiconductor Technology"@de ; 
                                                                                 sh:name "Semiconductor Technology"@en ; 
                                                                                 sh:order 1  ; 
                                                                                 sh:minCount 1  ; 
                                                                                 sh:datatype xsd:string ; 
                                                                                 sh:description "e.g. SiC, GaN, IGBT"],
                                                                                [sh:path qb:component ; 
                                                                                 sh:name "Gate Driver (Name)"@de ; 
                                                                                 sh:name "Gate Driver (Name)"@en ; 
                                                                                 sh:order 7  ; 
                                                                                 sh:datatype xsd:string],
                                                                                [sh:path <https://purl.org/coscine/terms/69b0f82a-a677-449c-8e71-7894ff26145b/> ; 
                                                                                 sh:name "Gate On Resistance (Ω)"@de ; 
                                                                                 sh:name "Gate On Resistance (Ω)"@en ; 
                                                                                 sh:order 8  ; 
                                                                                 sh:datatype xsd:decimal ; 
                                                                                 sh:minInclusive 0 ],
                                                                                [sh:path <https://purl.org/coscine/terms/48ba611d-2597-4b78-a5db-b53eea8cda19/> ; 
                                                                                 sh:name "Gate Off Resistance (Ω)"@de ; 
                                                                                 sh:name "Gate Off Resistance (Ω)"@en ; 
                                                                                 sh:order 9  ; 
                                                                                 sh:datatype xsd:decimal ; 
                                                                                 sh:minInclusive 0 ],
                                                                                [sh:path <https://purl.org/coscine/terms/43d72c75-58a7-48c6-9186-25019ed15d6c/> ; 
                                                                                 sh:name "Load Inductance (µH)"@de ; 
                                                                                 sh:name "Load Inductance (µH)"@en ; 
                                                                                 sh:order 13  ; 
                                                                                 sh:datatype xsd:decimal ; 
                                                                                 sh:minExclusive 0 ],
                                                                                [sh:path <https://purl.org/coscine/terms/792b8e82-e31f-4ffb-8418-32b043ad24ea/> ; 
                                                                                 sh:name "Measurement Technique (Voltage)"@de ; 
                                                                                 sh:name "Measurement Technique (Voltage)"@en ; 
                                                                                 sh:order 11  ; 
                                                                                 sh:datatype xsd:string ; 
                                                                                 sh:defaultValue "Passive Probe"],
                                                                                [sh:path <https://purl.org/coscine/terms/782849f8-644f-4902-a65b-e75b5a42df1b/> ; 
                                                                                 sh:name "Measurement Technique (Current)"@de ; 
                                                                                 sh:name "Measurement Technique (Current)"@en ; 
                                                                                 sh:order 12  ; 
                                                                                 sh:datatype xsd:string ; 
                                                                                 sh:defaultValue "Shunt Resistor"].
